- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vyos_banner – Manage multiline banners on VyOS devices

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This will configure both pre-login and post-login banners on remote devices running VyOS. It allows playbooks to add or remote banner text from the active running configuration.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
banner - / required | Choices: pre-login post-login | Specifies which banner that should be configured on the remote device.
provider dictionary |  | Deprecated Starting with Ansible 2.5 we recommend using `connection: network_cli`. For more information please see the Network Guide. A dict object containing connection details.
| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
state - | Choices: present ← absent | Specifies whether or not the configuration is present in the current devices active running configuration.
text - |  | The banner text that should be present in the remote device running configuration. This argument accepts a multiline string, with no empty lines. Requires state=present.

## Notes

Note

- Tested against VyOS 1.1.8 (helium).

- This module works with connection `network_cli`. See the VyOS OS Platform Options.

- For more information on using Ansible to manage network devices see the Ansible Network Guide

## Examples

    - name: configure the pre-login banner
      vyos_banner:
        banner: pre-login
        text: |
          this is my pre-login banner
          that contains a multiline
          string
        state: present
    - name: remove the post-login banner
      vyos_banner:
        banner: post-login
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['banner pre-login', 'this is my pre-login banner', 'that contains a multiline', 'string']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Trishna Guha (@trishnaguha)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.